XALAN(1)

NAME
xalan - Process XML documents with XSLT stylesheets

SYNOPSIS

xalan [options]

DESCRIPTION

Xalan-C++ (named after a rare musical instrument) implements the W3C Recommendation 16 November 1999 XSL Transformations (XSLT) Version 1.0 and the XML Path Language (XPath) Version 1.0. XSLT is the first part of the XSL stylesheet language for XML. It includes the XSL Transformation vocabulary and XPath, a language for addressing parts of XML documents. For links to background materials, discussion groups, frequently asked questions, and tutorials on XSLT, see Getting up to speed with XSLT.

You use the XSLT language to compose XSL stylesheets. An XSL stylesheet contains instructions for transforming XML documents from one document type to another document type (XML, HTML, or other). In structural terms, an XSL stylesheet specifies the transformation of one tree of nodes (the XML input) into another tree of nodes (the output or transformation result).

OPTIONS
Options are case-sensitive.

-in URL
    Sets the input URL. If nothing is set, stdin is used.

-xsl URL
    Sets the XSLT sheet URL.

-out file
    Sets the output filename.

-v  Show version information only.

-qc Quiet pattern conflicts warnings.

-q  Use quiet mode.

-indent n
    Controls how many spaces to indent. Default is 0.

-validate
    Controls whether validation occurs. Validation is off by default.

-tt Trace the templates as they are being called.

-tg Trace each generation event.

-ts Trace each selection event.

-ttc
    Trace the template children as they are being processed.

-xml
    Use XML formatter and add XML header.

-text
    Use simple Text formatter.

-html
    Use HTML formatter.

-dom
    Use DOM formatter. Formats to DOM, then formats XML for output.

-xst
    Use source tree formatter. Formats to Xalan source tree, then formats XML for output.

-param name expression
    Sets a stylesheet parameter.

-xd Use Xerces DOM instead of Xalan source tree.

-de Disable built-in extension functions

The following option is valid only with -HTML

-noindent
    Turn off HTML indenting.

The following option is valid only with -XML.

-nh Don't write XML header.

AUTHOR
The Apache Software Foundation.

SEE ALSO

http://www.w3.org/TR/xslt
    XSL Transformations Version 1.0 (XSLT)

http://www.w3.org/TR/xpath
    XML Path Language Version 1.0 (XPATH)

COPYRIGHT
Copyright (c) 1999-2012 The Apache Software Foundation

This product includes software developed at The Apache Software Foundation ( http://www.apache.org/ ).

This software is based on the ASF XERCES-C project.

Portions of this software were originally based on the following:
    - software copyright (c) 1999, IBM Corporation. ( http://www.ibm.com ).

As of version 1.8, Xalan is now distributed under the Apache license v2.0.